org.apache.ignite.internal.processors.odbc.jdbc

## Class JdbcParameterMeta

- java.lang.Object
- - org.apache.ignite.internal.processors.odbc.jdbc.JdbcParameterMeta

All Implemented Interfaces:
  JdbcRawBinarylizable

    public class JdbcParameterMeta
    extends Object
    implements JdbcRawBinarylizable

JDBC SQL query parameter metadata.

### Constructor Summary

Constructors
Constructor and Description
`JdbcParameterMeta()` Default constructor is used for binary serialization.
`JdbcParameterMeta(ParameterMetaData meta, int order)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `isNullable()`
`boolean` `isSigned()`
`int` `mode()`
`int` `precision()`
`void` `readBinary(BinaryReaderExImpl reader, JdbcProtocolContext protoCtx)` Reads fields from provided reader.
`int` `scale()`
`String` `toString()`
`int` `type()`
`String` `typeClass()`
`String` `typeName()`
`void` `writeBinary(BinaryWriterExImpl writer, JdbcProtocolContext protoCtx)` Writes fields to provided writer.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### JdbcParameterMeta

    public JdbcParameterMeta()

Default constructor is used for binary serialization.

#### JdbcParameterMeta

    public JdbcParameterMeta(ParameterMetaData meta,
                             int order)
                      throws SQLException

Parameters:
  `meta` - Param metadata.
  `order` - Param order.
Throws:
  `SQLException` - On errror.

### Method Detail

#### isNullable

    public int isNullable()

Returns:
  Nullable mode.

#### isSigned

    public boolean isSigned()

Returns:
  Signed flag.

#### precision

    public int precision()

Returns:
  Precision.

#### scale

    public int scale()

Returns:
  Scale.

#### type

    public int type()

Returns:
  SQL type.

#### typeName

    public String typeName()

Returns:
  SQL type name.

#### typeClass

    public String typeClass()

Returns:
  Java type class name.

#### mode

    public int mode()

Returns:
  Mode.

#### writeBinary

    public void writeBinary(BinaryWriterExImpl writer,
                            JdbcProtocolContext protoCtx)
                     throws BinaryObjectException

Writes fields to provided writer.

Specified by:
  `writeBinary` in interface `JdbcRawBinarylizable`
Parameters:
  `writer` - Binary object writer.
  `protoCtx` - JDBC protocol context.
Throws:
  `BinaryObjectException` - In case of error.

#### readBinary

    public void readBinary(BinaryReaderExImpl reader,
                           JdbcProtocolContext protoCtx)
                    throws BinaryObjectException

Reads fields from provided reader.

Specified by:
  `readBinary` in interface `JdbcRawBinarylizable`
Parameters:
  `reader` - Binary object reader.
  `protoCtx` - JDBC protocol context.
Throws:
  `BinaryObjectException` - In case of error.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.11.0
Release Date | : September 11 2021